API Documentation Download OpenAPI specification

Check Email Account Availability API

GEThttps://bll.titan.email/partner/checkEmailAccountAvailability

API to check if an email account is available for provision

Query parameters

emailstringrequired

email account for which you want to check availability

Example: john@doe.com
titanOrderIdnumberrequired
Example: 123

Responses

200OKapplication/json
isAvailableboolean

true implies email account is available and can be provisioned, false implies email is unavailable/already-in-use.

Example: true
titanAccountIdnumber

unique account id at Titan's end.

Example: 1
reasonstring · enum

ONLY present when isAvailable is false, represents reason for unavailability.

Example: EXISTS_AS_EMAIL_ACCOUNT
Possible values: EXISTS_AS_EMAIL_ACCOUNT EXISTS_AS_ALIAS_ACCOUNT EXISTS_AS_INTERNAL_FORWARDING_ACCOUNT
400BAD_REQUEST
  • domain does not belong to partner.
  • domain not in active or suspended state.
  • email address does not belong to given domain.
See General Errors for other errors that this API can return.
GET/partner/checkEmailAccountAvailability
curl 'https://bll.titan.email/partner/checkEmailAccountAvailability?email=john@doe.com&titanOrderId=123' \
  --header 'Authorization: API.Key'
Response
{
  "isAvailable": true,
  "titanAccountId": 1,
  "reason": "EXISTS_AS_EMAIL_ACCOUNT"
}